Get Checks by Merchant Transaction ID
Suggest Edits
Overview
Retrieves all checks associated with the specified merchant transaction ID or a list of merchant transaction IDs. This endpoint allows you to query one or multiple checks using your own transaction identifiers.
Resource Access
Production (api.ahrvo.network)
POST https://api.ahrvo.network/banking/echecks/apiServices/uploadChecks.php?GetChecksByMerchantTransID
Staging (gateway.ahrvo.network)
POST https://gateway.ahrvo.network/banking/echecks/apiServices/uploadChecks.php?GetChecksByMerchantTransID
Arguments
| Attribute | Mandatory / Optional |
|---|---|
merchantTransID | Mandatory |
returnCustomFields | Optional |
inBehalf | Optional |
Example Request (Single ID)
curl -X POST https://gateway.ahrvo.network/banking/echecks/apiServices/uploadChecks.php?GetChecksByMerchantTransID \
-H "Content-Type: application/json" \
-H "Authorization: Bearer {jwtToken}" \
-H "x-api-key: {apiKey}" \
-d '{
"merchantTransID": "your-own-transaction-id-001",
"returnCustomFields": "0",
"inBehalf": ""
}'
Example Request (Multiple IDs)
curl -X POST https://gateway.ahrvo.network/banking/echecks/apiServices/uploadChecks.php?GetChecksByMerchantTransID \
-H "Content-Type: application/json" \
-H "Authorization: Bearer {jwtToken}" \
-H "x-api-key: {apiKey}" \
-d '{
"merchantTransID": ["your-own-transaction-id-001", "your-own-transaction-id-002", "your-own-transaction-id-003"],
"returnCustomFields": "0",
"inBehalf": ""
}'
Example Response
{
"errorCode": 0,
"errorMessage": "",
"bankName": "Chase",
"bankAlias": "Chase - Main",
"accountLast4": "7002",
"checkInfo": [
{
"BatchID": "320851",
"BundleID": "320851-1",
"CheckTransID": "15208880",
"MerchantTransID": "your-own-transaction-id-001",
"CheckNumber": "1001",
"Amount": "120.05",
"FirstName": "Amalthea",
"LastName": "Tethys",
"SentStatus": "Sent",
"ProcessingStatus": "Processed",
"TrackingNumber": "38750937595975098765665757576"
}
]
}